Cantera 2.6.0

Public Member Functions | Public Attributes | List of all members
vcs_SpeciesProperties Class Reference

Properties of a single species. More...

`#include <vcs_SpeciesProperties.h>`

Collaboration diagram for vcs_SpeciesProperties:
[legend]

## Public Member Functions
| vcs_SpeciesProperties (size_t indexPhase, size_t indexSpeciesPhase, vcs_VolPhase *owning)

## Public Attributes
size_t | IndexPhase
size_t | IndexSpeciesPhase
vcs_VolPhase * | OwningPhase
size_t | NumElements
std::string | SpName
| Name of the species. More...
VCS_SPECIES_THERMO * | SpeciesThermo
| Pointer to the thermo structure for this species. More...
double | WtSpecies
| Molecular Weight of the species (gm/mol) More...
vector_fp | FormulaMatrixCol
| Column of the formula matrix, comprising the element composition of the species. More...
double | Charge
| Charge state of the species -> This may be duplication of what's in the FormulaMatrixCol entries. More...
int | SurfaceSpecies
| True if this species belongs to a surface phase. More...
double | VolPM
| Partial molar volume of the species. More...
double | ReferenceMoleFraction
| Representative value of the mole fraction of this species in a phase. More...

## Detailed Description

Properties of a single species.

Definition at line 18 of file vcs_SpeciesProperties.h.

## Constructor & Destructor Documentation

## ◆ vcs_SpeciesProperties()

vcs_SpeciesProperties | ( | size_t | indexPhase,
|  | size_t | indexSpeciesPhase,
|  | vcs_VolPhase * | owning
| ) |  |
| inline

Definition at line 59 of file vcs_SpeciesProperties.h.

## ◆ ~vcs_SpeciesProperties()

virtual ~vcs_SpeciesProperties | ( |  | ) |
| inline virtual

Definition at line 73 of file vcs_SpeciesProperties.h.

## Member Data Documentation

## ◆ IndexPhase

size_t IndexPhase

Definition at line 21 of file vcs_SpeciesProperties.h.

## ◆ IndexSpeciesPhase

size_t IndexSpeciesPhase

Definition at line 22 of file vcs_SpeciesProperties.h.

## ◆ OwningPhase

vcs_VolPhase* OwningPhase

Definition at line 23 of file vcs_SpeciesProperties.h.

## ◆ NumElements

size_t NumElements

Definition at line 24 of file vcs_SpeciesProperties.h.

## ◆ SpName

std::string SpName

Name of the species.

Definition at line 27 of file vcs_SpeciesProperties.h.

## ◆ SpeciesThermo

VCS_SPECIES_THERMO* SpeciesThermo

Pointer to the thermo structure for this species.

Definition at line 30 of file vcs_SpeciesProperties.h.

## ◆ WtSpecies

double WtSpecies

Molecular Weight of the species (gm/mol)

Definition at line 33 of file vcs_SpeciesProperties.h.

## ◆ FormulaMatrixCol

vector_fp FormulaMatrixCol

Column of the formula matrix, comprising the element composition of the species.

Definition at line 37 of file vcs_SpeciesProperties.h.

Referenced by VCS_SOLVE::vcs_prep().

## ◆ Charge

double Charge

Charge state of the species -> This may be duplication of what's in the FormulaMatrixCol entries.

However, it's prudent to separate it out.

Definition at line 41 of file vcs_SpeciesProperties.h.

## ◆ SurfaceSpecies

int SurfaceSpecies

True if this species belongs to a surface phase.

Definition at line 44 of file vcs_SpeciesProperties.h.

## ◆ VolPM

double VolPM

Partial molar volume of the species.

Definition at line 52 of file vcs_SpeciesProperties.h.

## ◆ ReferenceMoleFraction

double ReferenceMoleFraction

Representative value of the mole fraction of this species in a phase.

This value is used for convergence issues and for calculation of numerical derivatives

Definition at line 57 of file vcs_SpeciesProperties.h.

The documentation for this class was generated from the following file:

- vcs_SpeciesProperties.h